//varying... fr Pixelshader
varying vec4 position;
varying vec4 hposition;
varying vec3 norClipping;
varying float d;

void main(void)
{ 
	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
	position = gl_ModelViewProjectionMatrix * gl_Vertex;
	
	// vertex position in clip space
	hposition = gl_Vertex;	
		
	//gl_MultiTexCoord0 ...8 ... vordefinierte uniform  von glsl
	//gl_TexCoord[0]..[8] ... vordefinierte varying von glsl
	
	gl_TexCoord[0] =  gl_MultiTexCoord0;  
	gl_TexCoord[1] =  gl_MultiTexCoord1;  
	mat4 sAdaptivPlane =  gl_TextureMatrix[0];  
	//gl_ClipVertex = (gl_ModelViewMatrix * gl_Vertex);
	
	vec4 v1 = vec4( 0.0, 0.0, 0.0, 1.0);
	vec4 v2 = vec4( 0.0, 1.0, 0.0, 1.0);
	vec4 v3 = vec4( 1.0, 1.0, 0.0, 1.0);
	v1 = sAdaptivPlane * v1;
	v2 = sAdaptivPlane * v2;
	v3 = sAdaptivPlane * v3;
			
	vec3 aux1 = v1.xyz - v2.xyz;
	vec3 aux2 = v3.xyz - v2.xyz;

	norClipping = cross(aux2, aux1);
	norClipping = normalize(norClipping);
	d = -1.0 * dot(norClipping,v1.xyz);
	
	
}