//uniform... von OpenGL...
uniform sampler1D sTransfer;
uniform sampler2D sBackFace;
uniform sampler2D sBackground;
uniform sampler3D sPartiel;
uniform vec3 sLightSourcePos;
uniform int IsMode;
uniform float sSlideValue;
uniform int preprocess;
uniform int sMaxIntensity;
uniform int sPreshading;
uniform int sInterpolation;
uniform float stepsize;
uniform vec3 resolution;
uniform int sAdaptiv;
uniform int sTransferGradient;

//varying... von Vertex Shader
varying vec4 hposition;
varying vec4 position;
varying vec3 norClipping;
varying float d;

void main()
{
	vec3 tex;
	vec3 bposition = position.xyz / position.w;		//Erzeugt Texturkoordinaten		
	bposition.y = -bposition.y; //hack... naja, es ist spt...
	
	if(IsMode == 4)	tex = vec3( ((bposition.xy+1.0)/2.0).x,sSlideValue,((bposition.xy+1.0)/2.0).y);
	if(IsMode == 2)	tex = vec3( sSlideValue,((bposition.xy+1.0)/2.0).xy);
	if(IsMode == 3)	tex = vec3( ((bposition.xy+1.0)/2.0).xy,sSlideValue);
			
	float sval = 0.0;
	if(sInterpolation == 1)
	{		
		sval = texture3D(sPartiel, tex).a;
			
		vec4 a1 = (0.125*texture3D(sPartiel, tex.xyz+vec3(resolution.x,0.00,0.00)))
		         +(0.125*texture3D(sPartiel, tex.xyz-vec3(resolution.x,0.00,0.00)))
		         +(0.125*texture3D(sPartiel, tex.xyz+vec3(0.00,0.00,resolution.z)))
				 +(0.125*texture3D(sPartiel, tex.xyz-vec3(0.00,0.00,resolution.z)))
				 +(0.125*texture3D(sPartiel, tex.xyz+vec3(resolution.x,0.00,resolution.z)))
				 +(0.125*texture3D(sPartiel, tex.xyz-vec3(resolution.x,0.00,resolution.z)))
				 +(0.125*texture3D(sPartiel, tex.xyz+vec3(-resolution.x,0.00,resolution.z)))
				 +(0.125*texture3D(sPartiel, tex.xyz-vec3(-resolution.x,0.00,resolution.z)));
			
		sval = (a1.a * 0.5)+(sval*0.5);
	}
	else
	{			
		sval = texture3D(sPartiel, tex).a;
	}
			
	gl_FragColor = texture1D(sTransfer, sval);

}